| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
sttype-function.h File Reference
`#include "dfilter-int.h"`
`#include "dfunctions.h"`

Go to the source code of this file.

## Functions
void | sttype_function_set_params (stnode_t *node, GSList *params)
| Set the parameters for a function stnode_t.
df_func_def_t * | sttype_function_funcdef (stnode_t *node)
| Get the function-definition record for a function stnode_t.
const char * | sttype_function_name (stnode_t *node)
| Get the name of a function from an stnode_t.
GSList * | sttype_function_params (stnode_t *node)
| Get the parameters for a function stnode_t.
void | st_funcparams_free (GSList *params)
| Free the memory of a parameter list.

## Detailed Description

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 2001 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ st_funcparams_free()

void st_funcparams_free | ( | GSList * | params | ) |

Free the memory of a parameter list.

Parameters

  params | The GSList containing the parameters to be freed.

## ◆ sttype_function_funcdef()

df_func_def_t * sttype_function_funcdef | ( | stnode_t * | node | ) |

Get the function-definition record for a function stnode_t.

Parameters

  node | The function node to get the definition for.

Returns
  df_func_def_t* A pointer to the function-definition record.

## ◆ sttype_function_name()

const char * sttype_function_name | ( | stnode_t * | node | ) |

Get the name of a function from an stnode_t.

Parameters

  node | The stnode_t containing the function information.

Returns
  const char* The name of the function.

## ◆ sttype_function_params()

GSList * sttype_function_params | ( | stnode_t * | node | ) |

Get the parameters for a function stnode_t.

Parameters

  node | The function node to get parameters from.

Returns
  GSList* A list of parameters for the function.

## ◆ sttype_function_set_params()

void sttype_function_set_params | ( | stnode_t * | node,
|  | GSList * | params
| ) |  |

Set the parameters for a function stnode_t.

Parameters

  node | The function node to set parameters for.
  params | The list of parameters to set.